package net.wanji.opt.synthesis.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import net.wanji.databus.vo.PageVO;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/04 10:53
 */
@Data
@TableName("t_strategy_control_info")
public class StrategyControlDataEntity extends PageVO {
    /** value = 路口干线Id */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("biz_id")
    private String bizId;
    /** value = 类型 0-路口 1-干线 */
    @TableField("biz_type")
    private Integer bizType;
    /** value = 策略类型 0-绿波带 1-失衡 2-溢出 3-空放 */ 
    private Integer strategy;
    /** value = 开始时间日期 */
    @TableField("schedule_start")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date scheduleStart;
    /** value = 结束时间日期 */
    @TableField("schedule_end")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date scheduleEnd;
    /** value = 日计划表 */ 
    private String time;
    /** value = 调控频率（秒），策略下发的频率（只针对失衡和绿波带有效） */ 
    private Integer frequency;
    /** value = 状态（1=开启，0=停止） */ 
    private Integer status;
    @TableField(exist = false)
    private String crossName;
}
